Subject: RE: less, misbehaving - BASH 2.02
From: [email-masked] (Jonathan Storey)

5 Oct 1998 21:24:21 -0700
Message-ID: <000001bdf057$80dcfff0$050120c0.cygnus.gnu-win32@menpc5>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: <[email-masked]>

I have come across this problem on my WinNT(SP3) box using
cygwinb19(.4).dll (669150bytes) and BASH.EXE 2.0.2(1) when
using telnet utilising Sergey's inetd remote utilities.

I have since got round the problem by reverting to BASH.EXE 2.01(1).EXE

Whats happening here is that the process is requesting input from
the terminal i.e END: (less's case) and the shell thinks that the
process is in background. Under UNIX the message would be
Stopped: (tty input) or similar. Therefore I would conclude that
the new version of BASH.EXE is incorrectly flagging processes
as being in background albeit intermittently, although using 
less(1) to output a file that is less than a screen full seems to
cause the problem to manifest itself consistently...

If you're not already Go Back to BASH.EXE 2.0.1(2).EXE 
and this should sort out your problem....

> 
> I'm having some wierd problems with less, and I don't know if it's my
> environment settings, or my ncurses library, or what. I'm using less
> v332 from andy's local.tar.
> 
> Less operates as expected, until I try to view a file with less than a
> full screen of data. If I execute 'less shortfile', the file is
> displayed in the terminal window, followed by the message: '[1]+
> Stopped    less shortfile'
> 
> >From that point on, all (?) interactive console mode programs misbehave.
> When invoking less on a file with _more_ than a full screen of data,
> e.g. 'less longfile', the first screen worth of data is displayed
> followed by '[2]+ Stopped    less longfile'. (This identical command
> worked fine _before_ my 'mistake' with shortfile)  Ditto with vi, or
> hexedit. I can always bring the executable back to the foreground, and
> things seem to work okay after that, but this is annoying.
> 
> Does anybody know what's going on? My cygwin variable is 'tty notitle
> ntea binmode'
> 
> --Chuck Wilson
> 

 ``)OZ`` > Jonathan Storey Esq. <
 Technical Systems Analyst/Programmer
 e-mail-personal:  [email-masked]
 e-mail-business:  [email-masked]
 e-fax-anytime:    +44(0)870 1641756
 http:  www.thinktank.demon.co.uk
 icq#:  13848691
"I can picture in my mind a world without war, 
 a world without hate. And I can picture us
 attacking that world, because they'd never
 expect it."

------------------------------------------------------------------------

The views and opinions expressed in this e-mail message are the sender's
and do not necessarily represent the views of Mentor Systems plc.

------------------------------------------------------------------------

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".